import request from '@/utils/request'

// 查询pssr区域管理列表
export function listRegion(query) {
  return request({
    url: '/pssr/region/list',
    method: 'get',
    params: query
  })
}

export function groupList(query) {
  return request({
    url: '/pssr/region/groupList',
    method: 'get',
    params: query
  })
}

// 查询pssr区域管理详细
export function getRegion(id) {
  return request({
    url: '/pssr/region/' + id,
    method: 'get'
  })
}

// 新增pssr区域管理
export function addRegion(data) {
  return request({
    url: '/pssr/region',
    method: 'post',
    data: data
  })
}

// 修改pssr区域管理
export function updateRegion(data) {
  return request({
    url: '/pssr/region',
    method: 'put',
    data: data
  })
}

//
export function updateRegionBatch(data) {
  return request({
    url: '/pssr/region/editBatch',
    method: 'put',
    data: data
  })
}


// 删除pssr区域管理
export function delRegion(id) {
  return request({
    url: '/pssr/region/' + id,
    method: 'delete'
  })
}

// 导出pssr区域管理
export function exportRegion(query) {
  return request({
    url: '/pssr/region/export',
    method: 'get',
    params: query
  })
}
